org.apache.ignite.internal.processors.platform.client.datastructures

## Class ClientAtomicLongValueGetRequest

- java.lang.Object
- - org.apache.ignite.internal.processors.platform.client.ClientRequest
  - - org.apache.ignite.internal.processors.platform.client.datastructures.ClientAtomicLongRequest
    - - org.apache.ignite.internal.processors.platform.client.datastructures.ClientAtomicLongValueGetRequest

All Implemented Interfaces:
  ClientListenerRequest

    public class ClientAtomicLongValueGetRequest
    extends ClientAtomicLongRequest

Atomic long value request.

### Field Summary

### Fields inherited from interface org.apache.ignite.internal.processors.odbc.ClientListenerRequest

`HANDSHAKE`

### Constructor Summary

Constructors
Constructor and Description
`ClientAtomicLongValueGetRequest(BinaryRawReader reader)` Constructor.

### Method Summary

All Methods Instance Methods Concrete Methods
`ClientResponse` `process(ClientConnectionContext ctx)` Processes the request.

### Methods inherited from class org.apache.ignite.internal.processors.platform.client.datastructures.ClientAtomicLongRequest

`atomicLong, notFoundResponse`

### Methods inherited from class org.apache.ignite.internal.processors.platform.client.ClientRequest

`requestId`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ClientAtomicLongValueGetRequest

    public ClientAtomicLongValueGetRequest(BinaryRawReader reader)

Constructor.

Parameters:
  `reader` - Reader.

### Method Detail

#### process

    public ClientResponse process(ClientConnectionContext ctx)

Processes the request.

Overrides:
  `process` in class `ClientRequest`
Returns:
  Response.

${current.year} Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Database and Caching Platform | : ver. 2.16.0
Release Date | : December 15 2023